<p align="center">
  <img width="200" src="https://raw.githubusercontent.com/firefly-cpp/sport-activities-features-gui/main/.github/logo/sport_activities.png">
</p>

---

# sport-activities-features-gui

A simple GUI application that uses the library sports-activities-features to import sports activity files (TCX) and makes it easy to view and transform the data in a GUI environment.

## Features
- Improved bulk importing of tcx files
- Exporting data to different formats
- Graphing data
- Data transformations
- Calendar view of active days
- Individual user profiles

## Screenshots
<p float="left">
  <img src="https://github.com/otiv33/sport-activities-features-gui/blob/main/screenshots/Screenshot_1.jpg?raw=true" alt="Profiles window" width="200"/>
  <img src="https://github.com/otiv33/sport-activities-features-gui/blob/main/screenshots/Screenshot_2.jpg?raw=true" alt="Import tab" width="350"/>
  <img src="https://github.com/otiv33/sport-activities-features-gui/blob/main/screenshots/Screenshot_3.jpg?raw=true" alt="Graphs tab" width="350"/>
  <img src="https://github.com/otiv33/sport-activities-features-gui/blob/main/screenshots/Screenshot_4.jpg?raw=true" alt="Calendar tab" width="350"/>
  <img src="https://github.com/otiv33/sport-activities-features-gui/blob/main/screenshots/Screenshot_5.jpg?raw=true" alt="Transformations tab" width="350"/>
</p>

## Installation
0. Prerequisites
    - [Python 3.10](https://www.python.org/downloads/)
    - [Poetry](https://python-poetry.org/docs/#installation)
1. Clone [this](https://github.com/firefly-cpp/sport-activities-features-gui) repository from GitHub.
2. Create a virtual environment and install the dependencies using poetry:
    ```bash
    poetry install
    ```
3. Run the main.py file
   1. Script path: `<project_folder>/sport-activities-features-gui/main.py`
   2. Working directory: `<project_folder>/sport-activities-features-gui/`

## License

This package is distributed under the MIT License. This license can be found online at <http://www.opensource.org/licenses/MIT>.

## Disclaimer

This framework is provided as-is, and there are no guarantees that it fits your purposes or that it is bug-free. Use it at your own risk!
